Skip to content

List employee enrollments

GET/v1/employees/{employee_id}/enrollments

Retrieves a paginated list of benefit enrollments for an employee.

Path ParametersExpand Collapse
employee_id: string

Unique employee identifier (empl_*)

Query ParametersExpand Collapse
limit: optional number

Items per page (default: 20, max: 100)

minimum1
maximum100
page: optional number

Page number (default: 1)

minimum1
ReturnsExpand Collapse
data: array of Enrollment { id, answered_at, benefit, 10 more }
id: string

Unique enrollment identifier (enrl_*)

answered_at: string

When the employee enrolled or waived

formatdate-time
benefit: object { id, category, name, product_code }

Nested benefit product summary

id: string

Benefit product ID (bprd_*)

category: "Medical" or "Dental" or "Vision" or "Hospital"
  • Medical - Medical
  • Dental - Dental
  • Vision - Vision
  • Hospital - Hospital
One of the following:
"Medical"
"Dental"
"Vision"
"Hospital"
name: string

Display name of the benefit product

product_code: "EBA" or "VPC" or "VPC_CORE" or 12 more
  • EBA - Eba Mec
  • VPC - Vpc Enhanced
  • VPC_CORE - Vpc Core
  • MEC - Vpc Mec
  • MEC2 - Mec2
  • MEC_PLUS - Mec Plus
  • MVP - Mvp
  • MVP2 - Mvp2
  • MVPSL - Mvpsl
  • MVPSL2 - Mvpsl2
  • VD - Dental
  • VV - Vision
  • ICHRA - Ichra
  • ICHRA_PREMIUM_PLUS - Ichra Premium Plus
  • ICHRA_REIMBURSEMENT_ONLY - Ichra Reimbursement Only
One of the following:
"EBA"
"VPC"
"VPC_CORE"
"MEC"
"MEC2"
"MEC_PLUS"
"MVP"
"MVP2"
"MVPSL"
"MVPSL2"
"VD"
"VV"
"ICHRA"
"ICHRA_PREMIUM_PLUS"
"ICHRA_REIMBURSEMENT_ONLY"
coverage_end: string

Coverage period end date

formatdate
coverage_start: string

Coverage period start date

formatdate
created_at: string

When the enrollment was created

formatdate-time
employee_deduction_in_cents: number

Employee monthly payroll deduction in cents

employee_id: string

Employee ID (empl_*)

employer_contribution_in_cents: number

Employer monthly contribution in cents

employer_id: string

Employer ID (empr_*)

  • pending - Pending
  • enrolled - Enrolled
  • waived - Waived
  • inactive - Inactive
One of the following:
"pending"
"enrolled"
"waived"
"inactive"
terminated_at: string

When coverage was terminated

formatdate-time
updated_at: string

When the enrollment was last updated

formatdate-time

List employee enrollments

curl https://api.vitablehealth.com/v1/employees/$EMPLOYEE_ID/enrollments \
    -H "Authorization: Bearer $VITABLE_CONNECT_API_KEY"
{
  "data": [
    {
      "id": "enrl_abc123def456",
      "employee_id": "empl_xyz789ghi012",
      "employer_id": "empr_def456ghi789",
      "benefit": {
        "id": "bprd_medical456",
        "name": "MEC Plus",
        "product_code": "MEC_PLUS",
        "category": "Medical"
      },
      "status": "enrolled",
      "coverage_start": "2026-04-01",
      "coverage_end": "2027-03-31",
      "employee_deduction_in_cents": 5000,
      "employer_contribution_in_cents": 25000,
      "answered_at": "2026-01-20T14:30:00Z",
      "terminated_at": null,
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 1,
    "total_pages": 1
  }
}
Returns Examples
{
  "data": [
    {
      "id": "enrl_abc123def456",
      "employee_id": "empl_xyz789ghi012",
      "employer_id": "empr_def456ghi789",
      "benefit": {
        "id": "bprd_medical456",
        "name": "MEC Plus",
        "product_code": "MEC_PLUS",
        "category": "Medical"
      },
      "status": "enrolled",
      "coverage_start": "2026-04-01",
      "coverage_end": "2027-03-31",
      "employee_deduction_in_cents": 5000,
      "employer_contribution_in_cents": 25000,
      "answered_at": "2026-01-20T14:30:00Z",
      "terminated_at": null,
      "created_at": "2026-01-15T10:30:00Z",
      "updated_at": "2026-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 1,
    "total_pages": 1
  }
}